{#
/**
 * @file
 * Theme override to display a taxonomy term.
 *
 * Available variables:
 * - url: URL of the current term.
 * - name: (optional) Name of the current term.
 * - content: Items for the content of the term (fields and description).
 *   Use 'content' to print them all, or print a subset such as
 *   'content.description'. Use the following code to exclude the
 *   printing of a given child element:
 *   @code
 *   {{ content|without('description') }}
 *   @endcode
 * - attributes: HTML attributes for the wrapper.
 * - page: Flag for the full page state.
 * - term: The taxonomy term entity, including:
 *   - id: The ID of the taxonomy term.
 *   - bundle: Machine name of the current vocabulary.
 * - view_mode: View mode, e.g. 'full', 'teaser', etc.
 *
 * @see template_preprocess_taxonomy_term()
 */
#}
{%
  set classes = [
    'taxonomy-term',
    'vocabulary-' ~ term.bundle|clean_class,
  ]
%}
{% set attributes = attributes.setAttribute('id', 'taxonomy-term-' ~ term.id).addClass(classes) %}
{% apply spaceless %}
{% if oi_content_placeholder and url and not skip_url %}
  <a{{ attributes.setAttribute('href', url).addClass('tw-underline') }}>{{ oi_content_placeholder|trim }}</a>
{% elseif oi_content_placeholder %}
  <span{{ attributes }}>{{ oi_content_placeholder|trim }}</span>
{% elseif url and not skip_url %}
  <a{{ attributes.setAttribute('href', url).addClass('tw-underline') }}>{{ content|render|trim }}</a>
{% else %}
  <span{{ attributes }}>{{ content|render|trim }}</span>
{% endif %}
{% endapply %}
